#!/usr/bin/env python
#coding: utf-8
import socket
def is_speaking():
        received='f\n'
        sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        try:
                sock.connect(('localhost', 6701))
                sock.sendall("?\n")
                received = sock.recv(8)
        finally:
                sock.close()
        return received.startswith('t')
        
def say(s, async=False):
        if not s:
                s=''
        if isinstance(s,unicode):
                s = s.encode('utf-8')
        elif not isinstance(s,str):
                s=str(s)
        s=s.strip()
        if s:
                if not async:
                        s = '+' + s
                else:
                        s=s.lstrip('+')
        received='f\n'
        sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        try:
                sock.connect(('localhost', 6701))
                sock.sendall(s + "\n")
                received = sock.recv(8)
        finally:
                sock.close()
        return received.startswith('t')

if __name__ == '__main__':
        say('To jest test testowania testu',True)
        print is_speaking()
        import time
        time.sleep(0.1)
        print is_speaking()
        time.sleep(5)
        print is_speaking()
        
